"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fs = tslib_1.__importStar(require("fs-extra"));
var utils_1 = require("../utils");
var templates_1 = require("./templates");
var changelog_1 = require("./changelog");
var tag = "generate";
exports.generateBuildFiles = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    return tslib_1.__awaiter(_this, void 0, void 0, function () {
        var dir, pkg, miskTab;
        return tslib_1.__generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    dir = utils_1.parseArgs.apply(void 0, args).dir;
                    utils_1.logDebug(tag, "", dir);
                    pkg = {};
                    if (fs.existsSync(utils_1.path(dir, utils_1.Files.package))) {
                        pkg = fs.readJsonSync(utils_1.path(dir, utils_1.Files.package));
                    }
                    return [4, fs.readJsonSync(utils_1.path(dir, utils_1.Files.miskTab))];
                case 1:
                    miskTab = _a.sent();
                    return [4, [
                            fs.writeJson(utils_1.path(dir, utils_1.Files.tsconfig), templates_1.createTsconfig(miskTab), utils_1.JsonOptions),
                            fs.writeJson(utils_1.path(dir, utils_1.Files.tslint), templates_1.tslint, utils_1.JsonOptions),
                            fs.writeJson(utils_1.path(dir, utils_1.Files.package), templates_1.createPackage(miskTab, pkg), utils_1.JsonOptions),
                            fs.writeFile(utils_1.path(dir, utils_1.Files.gitignore), templates_1.gitignore),
                            fs.writeFile(utils_1.path(dir, utils_1.Files.webpack), templates_1.webpack)
                        ]];
                case 2:
                    _a.sent();
                    fs.writeFile(utils_1.path(dir, utils_1.Files.tsconfig), templates_1.generatedByCLI, { flag: "a" });
                    fs.writeFile(utils_1.path(dir, utils_1.Files.tslint), templates_1.generatedByCLI, { flag: "a" });
                    utils_1.logDebug(tag, "Up to date build files generated using Misk Web version " + changelog_1.getVersion(miskTab.version), dir);
                    return [2];
            }
        });
    });
};
//# sourceMappingURL=generate.js.map