import { MiskVersion } from "./changelog";
export * from "./changelog";
export * from "./generate";
export * from "./migrate";
export interface IMiskTabJSON {
    name: string;
    output_path: string;
    port: number;
    relative_path_prefix: string;
    slug: string;
    tsconfigCompilerOptions: any;
    version: MiskVersion;
    zipOnBuild: boolean;
}
export declare enum Files {
    "gitignore" = ".gitignore",
    "miskTab" = "miskTab.json",
    "old" = ".old_build_files",
    "package" = "package.json",
    "packageLock" = "package-lock.json",
    "prettier" = "prettier.config.js",
    "tsconfig" = "tsconfig.json",
    "tslint" = "tslint.json",
    "webpack" = "webpack.config.js",
    "yarnLock" = "yarn.lock"
}
export declare const JsonOptions: {
    spaces: number;
};
export declare const logFormatter: (tag: string, msg?: string, dir?: string) => string;
export declare const logDebug: (tag: string, msg?: string, dir?: string) => void;
export declare const path: (...segments: string[]) => string;
export declare const parseArgs: (...args: any) => {
    args: any[];
    dir: string;
};
export declare const remove: (path: string) => Promise<void>;
export declare const execute: (cmd: string, ...args: any) => void;
export declare const npmRunScript: (cmd: string, prebuild?: boolean) => string;
export declare const handleCommand: (args: {
    _: string[];
    e: boolean;
    each: boolean;
    $0: string;
}, handlerFn: (...args: any) => void, blockedOptions?: string[]) => Promise<void>;
