"use strict";
var _this = this;
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var fs = tslib_1.__importStar(require("fs-extra"));
var utils_1 = require("../utils");
var changelog_1 = require("./changelog");
var tag = "migrate";
var moveOldBuildFile = function (dir, filename) { return tslib_1.__awaiter(_this, void 0, void 0, function () {
    return tslib_1.__generator(this, function (_a) {
        switch (_a.label) {
            case 0: return [4, fs.existsSync(utils_1.path(dir, filename))];
            case 1:
                if (_a.sent()) {
                    fs.move(utils_1.path(dir, filename), utils_1.path(dir, utils_1.Files.old, filename));
                }
                return [2];
        }
    });
}); };
exports.migrateBuildFiles = function () {
    var args = [];
    for (var _i = 0; _i < arguments.length; _i++) {
        args[_i] = arguments[_i];
    }
    var dir = utils_1.parseArgs.apply(void 0, args).dir;
    utils_1.logDebug(tag, "", dir);
    var pkgMiskTab = null;
    if (fs.existsSync(utils_1.path(dir, utils_1.Files.package))) {
        var pkg = null;
        try {
            pkg = fs.readJsonSync(utils_1.path(dir, utils_1.Files.package));
        }
        catch (e) {
            fs.removeSync(utils_1.path(dir, utils_1.Files.package));
        }
        if (pkg && "name" in pkg && pkg.name.startsWith("@misk/")) {
            throw Error(utils_1.logFormatter(tag, "Build file generation will not be done on @misk/ packages which have custom build tools.", dir));
        }
        pkgMiskTab = pkg && "miskTab" in pkg ? pkg.miskTab : null;
    }
    if (pkgMiskTab && fs.existsSync(utils_1.path(dir, utils_1.Files.miskTab))) {
        throw Error(utils_1.logFormatter(tag, "Automatic migration failed. miskweb doesn't know whether to use miskTab.json or the miskTab block in package.json. You must remove the miskTab.json file OR remove the miskTab block from package.json.", dir));
    }
    else if (!pkgMiskTab && fs.existsSync(utils_1.path(dir, utils_1.Files.miskTab))) {
    }
    else if (pkgMiskTab && !fs.existsSync(utils_1.path(dir, utils_1.Files.miskTab))) {
        var normalizedMiskTab = tslib_1.__assign({ output_path: "lib/web/_tab/" + pkgMiskTab.slug, port: 4242, version: changelog_1.MiskVersion.latest, zipOnBuild: false }, pkgMiskTab);
        fs.writeJson(utils_1.path(dir, utils_1.Files.miskTab), normalizedMiskTab, utils_1.JsonOptions);
        utils_1.logDebug(tag, "Stashing old build files in " + utils_1.path(dir, utils_1.Files.old));
        fs.mkdirp(utils_1.path(dir, utils_1.Files.old));
        fs.copy(utils_1.path(dir, utils_1.Files.package), utils_1.path(dir, utils_1.Files.old, utils_1.Files.package));
        moveOldBuildFile(dir, utils_1.Files.gitignore);
        moveOldBuildFile(dir, utils_1.Files.prettier);
        moveOldBuildFile(dir, utils_1.Files.tsconfig);
        moveOldBuildFile(dir, utils_1.Files.tslint);
        moveOldBuildFile(dir, utils_1.Files.webpack);
        utils_1.remove(utils_1.path(dir, utils_1.Files.packageLock));
        utils_1.remove(utils_1.path(dir, utils_1.Files.yarnLock));
    }
    else if (!pkgMiskTab && !fs.existsSync(utils_1.path(dir, utils_1.Files.miskTab))) {
        throw Error(utils_1.logFormatter(tag, "No miskTab.json present and no miskTab block in existing package.json. miskweb CLI build file generation will not be attempted.", dir));
    }
};
//# sourceMappingURL=migrate.js.map